# Component: Single Product Basket

**Purpose:** Use this component to display the basket which includes the offer details much like the basket in our [Single Page Checkout](/components/component-library/legacy-configuration-components/component-single-page-checkout.md) component. This is especially useful with the [Right Nav layout](https://docs.limio.com/product/page-builder/page-builder-overview-of-key-features/configure-layout).

While the Single Product Basket is still a supported component, we recommend using the [Cart components](https://docs.limio.com/components/component-library/cart-components) instead. Note that [Promo Codes v2](https://docs.limio.com/product/pricing/how-to-configure-and-implement-promo-codes) will only work properly with the Cart components.

The basket will pull the following information:

* The Limio Offer Display Name
* The Limio Offer Display Price
* The Limio Offer Detailed Display Price
* An Limio Offer image (the image defined in Attachment on the Offer)
* The Limio Quantity (if Allow Multibuy is set to true)
* The Total

## Props

| Prop Name                | Label                                                                                              | Type    | Default Value                          | Description                                                          |
| ------------------------ | -------------------------------------------------------------------------------------------------- | ------- | -------------------------------------- | -------------------------------------------------------------------- |
| heading                  | Heading                                                                                            | string  | Order Summary                          |                                                                      |
| disableRemoveFromBasket  | Disable remove from basket?                                                                        | boolean | false                                  |                                                                      |
| showBasketShoppingRegion | Show basket shopping region?                                                                       | boolean | false                                  |                                                                      |
| initialTermDisplay       | Show initial term?                                                                                 | string  | Initial term: {{today}} to {{endDate}} |                                                                      |
| unitQuantityMessage      | Message to show users unit quantity                                                                | String  | Number of units                        |                                                                      |
| costPerUnitMessage       | Message to show users cost per unit                                                                | String  | Cost per unit                          |                                                                      |
| useDynamicTaxCalc        | Enable dynamic tax calculation for US / CA based customers                                         | boolean | false                                  | State or province entered in checkout will be used to calculate tax. |
| dynamicTaxPreviewMessage | Message that appears to prompt users to enter a billing address to see pricing with tax calculated | String  | Calculated with postal code            |                                                                      |
| basketTotalMessage       | Message to show users their basket total                                                           | String  | Total due today                        |                                                                      |
| hideTotals               | Hide totals?                                                                                       | boolean | false                                  |                                                                      |
| componentId              | Component Id                                                                                       | String  | single-page-basket-limio               |                                                                      |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.limio.com/components/component-library/legacy-configuration-components/component-single-product-basket.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
